gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Unions.FloatIEEE754

Contents

- Exported types
- Properties
  - vFloat

Description

The `FloatIEEE754` and `DoubleIEEE754` unions are used to access the sign, mantissa and exponent of IEEE floats and doubles. These unions are defined as appropriate for a given platform. IEEE floats and doubles are supported (used for storage) by at least Intel, PPC and Sparc.

Synopsis

- newtype FloatIEEE754 = FloatIEEE754 (ManagedPtr FloatIEEE754)
- newZeroFloatIEEE754 :: MonadIO m => m FloatIEEE754
- noFloatIEEE754 :: Maybe FloatIEEE754
- getFloatIEEE754VFloat :: MonadIO m => FloatIEEE754 -> m Float
- setFloatIEEE754VFloat :: MonadIO m => FloatIEEE754 -> Float -> m ()

# Exported types

newtype FloatIEEE754 Source #

Memory-managed wrapper type.

Constructors

FloatIEEE754 (ManagedPtr FloatIEEE754) |

Instances

WrappedPtr FloatIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.FloatIEEE754 Methods wrappedPtrCalloc :: IO (Ptr FloatIEEE754) Source # wrappedPtrCopy :: FloatIEEE754 -> IO FloatIEEE754 Source # wrappedPtrFree :: Maybe (FunPtr (Ptr FloatIEEE754 -> IO ())) Source #
tag ~ AttrSet => Constructible FloatIEEE754 tag Source # |
Instance details Defined in GI.GLib.Unions.FloatIEEE754 Methods new :: MonadIO m => (ManagedPtr FloatIEEE754 -> FloatIEEE754) -> [AttrOp FloatIEEE754 tag] -> m FloatIEEE754 Source #

newZeroFloatIEEE754 :: MonadIO m => m FloatIEEE754 Source #

Construct a `FloatIEEE754` struct initialized to zero.

noFloatIEEE754 :: Maybe FloatIEEE754 Source #

A convenience alias for `Nothing` :: `Maybe` `FloatIEEE754`.

# Properties

## vFloat

the double value

getFloatIEEE754VFloat :: MonadIO m => FloatIEEE754 -> m Float Source #

Get the value of the “`v_float`” field. When overloading is enabled, this is equivalent to

    get floatIEEE754 #vFloat

setFloatIEEE754VFloat :: MonadIO m => FloatIEEE754 -> Float -> m () Source #

Set the value of the “`v_float`” field. When overloading is enabled, this is equivalent to

    set floatIEEE754 [ #vFloat := value ]